weipa::FinleyElementInfo Struct Reference

Holds information that is used to convert from finley element types to elements supported by Silo and VTK. More...

`#include <FinleyElements.h>`

## Public Attributes

ZoneType | elementType
ZoneType | reducedElementType
int | elementFactor
int | elementSize
int | reducedElementSize
const size_t * | multiCellIndices
bool | useQuadNodes
int | quadDim

## Detailed Description

Holds information that is used to convert from finley element types to elements supported by Silo and VTK.

## Member Data Documentation

## elementFactor

int weipa::FinleyElementInfo::elementFactor

Referenced by weipa::FinleyElements::buildReducedElements(), weipa::FinleyElements::initFromDudley(), weipa::FinleyElements::initFromFinley(), and weipa::FinleyElements::readFromNc().

## elementSize

int weipa::FinleyElementInfo::elementSize

Referenced by weipa::FinleyElements::buildReducedElements().

## elementType

ZoneType weipa::FinleyElementInfo::elementType

Referenced by weipa::FinleyElements::initFromDudley(), weipa::FinleyElements::initFromFinley(), and weipa::FinleyElements::readFromNc().

## multiCellIndices

const size_t* weipa::FinleyElementInfo::multiCellIndices

Referenced by weipa::FinleyElements::buildReducedElements().

## quadDim

int weipa::FinleyElementInfo::quadDim

Referenced by weipa::FinleyElements::initFromFinley(), and weipa::FinleyElements::readFromNc().

## reducedElementSize

int weipa::FinleyElementInfo::reducedElementSize

Referenced by weipa::FinleyElements::buildReducedElements(), weipa::FinleyElements::initFromDudley(), weipa::FinleyElements::initFromFinley(), and weipa::FinleyElements::readFromNc().

## reducedElementType

ZoneType weipa::FinleyElementInfo::reducedElementType

Referenced by weipa::FinleyElements::buildReducedElements().

## useQuadNodes

bool weipa::FinleyElementInfo::useQuadNodes

Referenced by weipa::FinleyElements::initFromFinley(), and weipa::FinleyElements::readFromNc().

The documentation for this struct was generated from the following file:

- FinleyElements.h